This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1258043 - [GSS](6.1.z) REST task query response is missing actual-owner tag after upgrading to Update2 in BPM Suite 6.1.2
[GSS](6.1.z) REST task query response is missing actual-owner tag after upgra...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: CR2
: ---
Assigned To: Shelly McGowan
Jiri Locker
:
Depends On: 1255869
Blocks: 1259382
  Show dependency treegraph
 
Reported: 2015-08-28 14:24 EDT by Amana
Modified: 2016-09-20 01:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1255869
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1591213 None None None Never

  None (edit)
Description Amana 2015-08-28 14:24:01 EDT
+++ This bug was initially created as a clone of Bug #1255869 +++

Description of problem:
After applying Update 2, the REST task query response is NOT returning actual-owner tag when a task is in InProgress or  Reserved status.

  /business-central/rest/task/query

Please see the attached task responses for each BPM Suite version


Version-Release number of selected component (if applicable):
6.1.2

How reproducible:
Always

Steps to Reproduce:
1. create a simple process with one HT (give an Actor name to the HT);
2. start the process and run the query;

  /business-central/rest/task/query

Actual results:
actual-owner tag is missing

Expected results:
actual-owner tag should be displayed

Additional info:
Comment 1 Amana 2015-08-28 14:25:31 EDT
--- Additional comment from Amana on 2015-08-21 14:19:00 EDT ---

Hi all,

We need to identify if it is really a bug in 6.1.2 and if there is any workaround for that.

Thanks!

--- Additional comment from JBoss Product and Program Management on 2015-08-21 14:20:06 EDT ---

Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Marco Rietveld on 2015-08-26 11:47:53 EDT ---

Fixed. Because of other changes, the problem does not occur on 6.3.x or master, but I've cherry-picked the commits there to be sure. 

Commits: 
6.2.x: https://github.com/droolsjbpm/droolsjbpm-integration/commit/a437acd6
6.3.x: https://github.com/droolsjbpm/droolsjbpm-integration/commit/6ec766eb
master: https://github.com/droolsjbpm/droolsjbpm-integration/commit/bd6b31ef

--- Additional comment from Marco Rietveld on 2015-08-26 11:50:08 EDT ---

There are 2 workarounds available for this problem: 

1. Use the GET http://<server>:<port>/business-central/rest/task/{taskId} to retrieve the full task information (as opposed to the task summary), which contains the actual owner information. 

2. Use the Remote Java API client (kie-remote-client) to retrieve the task, using the TaskService.getTaskById(long taskId). 

For both workarounds, the user will need to first identify the task id of the task that the information is needed for, and then retrieve the whole task.

--- Additional comment from Amana on 2015-08-27 08:35:15 EDT ---

Will it be fixed in Update 4?

--- Additional comment from Kris Verlaenen on 2015-08-27 18:16:25 EDT ---

This shouldn't have been committed to 6.2.x yet, so we're going to revert that.  If this needs to be part of a patch update, please make sure it is requested using the normal procedure.  This BZ stays MODIFIED as the change will automatically be picked up for 6.2 product.
Comment 2 Amana 2015-08-28 14:26:41 EDT
Although some workarounds have been provided, customer said this is very critical issue for them and they would like to get a fix asap.
Comment 4 Marco Rietveld 2015-09-23 11:07:20 EDT
Cherry-picked to 6.2.x: 

https://github.com/droolsjbpm/droolsjbpm-integration/commit/01760701
Comment 5 Karel Suta 2015-10-13 06:11:44 EDT
Verified in 6.1.4

Note You need to log in before you can comment on or make changes to this bug.